View Issue Details

IDProjectCategoryView StatusLast Update
0032638Open CASCADEOCCT:DRAWpublic2021-10-24 10:23
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.6.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032638: Draw Harness, ViewerTest - HTML input range misbehavior in WebAssembly
DescriptionInterception of mouse events over entire Browser window (0032609) by 3D Viewer leads to misbehavior of some HTML controls like input range in Firefox.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0032609 closedsmoskvin Visualization, Wasm_Window - handle mouse movements outside canvas element 

Activities

git

2021-10-22 15:59

administrator   ~0104789

Branch CR32638 has been created by kgv.

SHA-1: 65761592081e8415fc3392061e3887542e18fa42


Detailed log of new commits:

Author: kgv
Date: Fri Oct 22 15:59:19 2021 +0300

    0032638: Draw Harness, ViewerTest - HTML input range misbehavior in WebAssembly
    
    ViewerTest_EventManager - added tracking of EMSCRIPTEN_EVENT_FOCUSOUT event.
    onWasmMouseCallback() has been adjusted to return FALSE for EMSCRIPTEN_EVENT_TARGET_WINDOW
    target to avoid misbehavior of other HTML controls.
    
    WNT_Window::ProcessMessage() now handles WM_SETFOCUS/WM_KILLFOCUS instead of WM_ACTIVATE to track focus changes.
    
    AIS_ViewController::ProcessFocus() now redirects to AIS_ViewController::ResetViewInput() on focus loss.
    This fixes issues when key action (like WASD navigation) keep working even after releasing key if window has been switched.

git

2021-10-22 16:01

administrator   ~0104790

Branch CR32638 has been updated forcibly by kgv.

SHA-1: e526a583699941516ea6c6d1ce4ed0d94ae56335

git

2021-10-22 16:30

administrator   ~0104793

Branch CR32638 has been updated forcibly by kgv.

SHA-1: 26f784bf4b6cbc48411b78d75ce86a5ee202775e

kgv

2021-10-22 16:31

developer   ~0104794

Please raise the patch
- OCCT: branch CR32638.

smoskvin

2021-10-23 17:00

administrator   ~0104820

Combination -
OCCT branch : IR-2021-10-22
master SHA - 5b756182c269a3d4fc19b82fe8527f0fcabf5c57
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-10-22 SHA - c472aa8da77ba932a88c890c58c81b09f9ae00b5
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17750.01000000046 / 17700.080000000395 [+0.28%]
Products
Total CPU difference: 11624.980000000118 / 11665.940000000111 [-0.35%]
Windows-64-VC14:
OCCT
---
Products
---


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-10-24 10:23

administrator   ~0104839

Branch CR32638 has been deleted by mnt.

SHA-1: 26f784bf4b6cbc48411b78d75ce86a5ee202775e

Related Changesets

occt: master 5f69cfa7

2021-10-22 12:59:19

kgv


Committer: smoskvin Details Diff
0032638: Draw Harness, ViewerTest - HTML input range misbehavior in WebAssembly

ViewerTest_EventManager - added tracking of EMSCRIPTEN_EVENT_FOCUSOUT event.
onWasmMouseCallback() has been adjusted to return FALSE for EMSCRIPTEN_EVENT_TARGET_WINDOW
target to avoid misbehavior of other HTML controls.

WNT_Window::ProcessMessage() now handles WM_SETFOCUS/WM_KILLFOCUS instead of WM_ACTIVATE to track focus changes.

AIS_ViewController::ProcessFocus() now redirects to AIS_ViewController::ResetViewInput() on focus loss.
This fixes issues when key action (like WASD navigation) keep working even after releasing key if window has been switched.
Affected Issues
0032638
mod - samples/webgl/occt-webgl-sample.html Diff File
mod - samples/webgl/WasmOcctView.cpp Diff File
mod - samples/webgl/WasmOcctView.h Diff File
mod - src/AIS/AIS_ViewController.hxx Diff File
mod - src/ViewerTest/ViewerTest_EventManager.cxx Diff File
mod - src/Wasm/Wasm_Window.cxx Diff File
mod - src/Wasm/Wasm_Window.hxx Diff File
mod - src/WNT/WNT_Window.cxx Diff File

Issue History

Date Modified Username Field Change
2021-10-21 19:21 kgv New Issue
2021-10-21 19:21 kgv Assigned To => kgv
2021-10-21 19:21 kgv Relationship added child of 0032609
2021-10-21 19:21 kgv Test case number => N/A
2021-10-21 19:21 kgv Description Updated
2021-10-22 15:59 git Note Added: 0104789
2021-10-22 16:01 git Note Added: 0104790
2021-10-22 16:30 git Note Added: 0104793
2021-10-22 16:31 kgv Note Added: 0104794
2021-10-22 16:31 kgv Assigned To kgv => bugmaster
2021-10-22 16:31 kgv Status new => resolved
2021-10-22 16:31 kgv Status resolved => reviewed
2021-10-23 17:00 smoskvin Note Added: 0104820
2021-10-23 17:00 smoskvin Status reviewed => tested
2021-10-23 20:49 smoskvin Changeset attached => occt master 5f69cfa7
2021-10-23 20:49 smoskvin Assigned To bugmaster => smoskvin
2021-10-23 20:49 smoskvin Status tested => verified
2021-10-23 20:49 smoskvin Resolution open => fixed
2021-10-24 10:23 git Note Added: 0104839